Bug 1123700 - cannot set systemd variable as ksmeta
Summary: cannot set systemd variable as ksmeta
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: 0.17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.17.2
Assignee: Dan Callaghan
QA Contact: Amit Saha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 02:38 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 02:35:06 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2014-07-28 02:38:18 UTC
Some snippets use

    {% if systemd == True %}

which makes it impossible to set systemd in ordinary ksmeta -- ksmeta variables can only be strings, they will never be True or False. The conditionals should just be

    {% if system %}

Comment 1 Dan Callaghan 2014-07-28 02:48:19 UTC
On Gerrit: http://gerrit.beaker-project.org/3220

Comment 2 Dan Callaghan 2014-07-29 00:36:25 UTC
Steps to reproduce:

1. Import a custom distro based on RHEL7 but with an unrecognised OS major name
2. Set "systemd=True" in kickstart metadata for the OS major (pick Admin -> OS Versions from the menu, click the OS major)
3. Submit a job using the custom distro

Actual results:
Kickstart generated for the recipe does not contain the snippet to disable rhts-compat:

cat >> /etc/profile.d/task-overrides-rhts.sh <<END
export RHTS_OPTION_COMPATIBLE=
export RHTS_OPTION_COMPAT_SERVICE=
END

Expected results:
Kickstart should contain the snippet to disable rhts-compat.

Comment 4 Amit Saha 2014-07-29 03:11:10 UTC
Failed QA.

Comment 5 Dan Callaghan 2014-07-29 04:51:31 UTC
Fixed: http://gerrit.beaker-project.org/3226

Comment 8 Amit Saha 2014-07-30 02:35:06 UTC
beaker-0.17.2 has been released.


Note You need to log in before you can comment on or make changes to this bug.